<?php

namespace Andy\MembersMap\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class MembersMap extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_andy_members_map';
		$structure->shortName = 'Andy\MembersMap:MembersMap';
		$structure->primaryKey = 'members_map_id';
		$structure->columns = [
			'members_map_id' => ['type' => self::UINT, 'autoIncrement' => true, 'nullable' => true],
            'lat' => ['type' => self::STR, 'default' => ''],
            'lng' => ['type' => self::STR, 'default' => ''],
            'info' => ['type' => self::STR, 'default' => '']
		];
		$structure->getters = [];
		$structure->relations = [];

		return $structure;
	}	
}