<?php

namespace Andy\MembersMap\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class MembersMapData extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_andy_members_map_data';
		$structure->shortName = 'Andy\MembersMap:MembersMapData';
		$structure->primaryKey = 'members_map_data_id';
		$structure->columns = [
			'members_map_data_id' => ['type' => self::UINT, 'autoIncrement' => true, 'nullable' => true],
            'user_id' => ['type' => self::INT, 'default' => 0],
            'username' => ['type' => self::STR, 'default' => ''],
            'lat' => ['type' => self::STR, 'default' => ''],
            'lng' => ['type' => self::STR, 'default' => '']
		];
		$structure->getters = [];
		$structure->relations = [];

		return $structure;
	}	
}